Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: trouble installing amd drivers/catalyst

  1. #1
    Join Date
    Oct 2013
    Beans
    11

    trouble installing amd drivers/catalyst

    tried running the installer direct from amd's website, and came out with errors.
    this is what spits outs after entering amdcccle in the command line.

    amdcccle: error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS32

    Scanned around on the web for a while looking for a different method of install and found this

    ./ati-driver-installer-8.37.6-x86.x86_64.run --buildpkg RedHat/RHEL5
    ./ati-driver-installer-8.37.6-x86.x86_64.run --buildpkg RedHat/RHEL5_64a
    rpm -ivh fglrx_7_1_0-8.37.6-1.i386.rpm
    rpm -ivh fglrx64_7_1_0-8.37.6-1.x86_64.rpm --nodeps

    I've completely purged all of my amd drivers, fglrx & xorg.conf. I just reconfigured xorg.conf but am having issues getting this command to go through. Truthfully I'm not even sure if its the correct way to do the install but it seems to make sense seeing as I'm having issues with my 32/64 libs, and yes I made sure to install all of my 32 libs so that's not the issue.

    Anyway this is what spits out when trying to enter the command:

    root@D3B1AN:/home/ac1d/Downloads# ./amd-driver-installer-catalyst-13-4-x86.x86_64.run --buildpkg RedHat/RHEL5
    bash: ./amd-driver-installer-catalyst-13-4-x86.x86_64.run: Permission denied







    Last edited by QIII; October 1st, 2013 at 11:37 PM.

  2. #2
    Join Date
    May 2007
    Beans
    12,425

    Re: trouble installing amd drivers/catalyst

    Ubuntu doesn't use rpms; instead, it uses .deb files. You're making the wrong drivers.

    What make and model AMD video chipset are you using? And, what version of Ubuntu are you running?
    Ubuntu 14.04, Mint 17; MS Win 8.1.
    Will not respond to PM requests for support -- use the forums.

  3. #3
    Join Date
    Jun 2007
    Beans
    10,977

    Re: trouble installing amd drivers/catalyst

    root@D3B1AN
    So you're running Debian, trying to build .rpm's for RedHat, and asking for help on Ubuntuforums? Interesting...

  4. #4
    Join Date
    Oct 2013
    Beans
    11

    Re: trouble installing amd drivers/catalyst

    I have 2 pcs, one debian, one ubuntu/win7. Debian forums dont have a great user base. So I ask here, linux is linux. There might be small nuances but its all roughly the same.

    I ran buildpkg on redhat due to there being no debian support in the amd drivers.
    Last edited by ac1d2; October 1st, 2013 at 10:40 PM.

  5. #5
    Join Date
    Jun 2007
    Beans
    10,977

    Re: trouble installing amd drivers/catalyst

    What release/branch/kernel of Debian are you running and what is your GPU?

  6. #6
    Join Date
    Oct 2013
    Beans
    11

    Re: trouble installing amd drivers/catalyst

    Debian Packages:
    Debian/sid
    Debian/unstable
    Debian/etch
    Debian/stable
    Debian/lenny
    Debian/testing
    Debian/experimental


    no Debian/wheezy so I tried Debian/stable and that didn't work, so I gave redhat a try....not really sure why to be honest

  7. #7
    Join Date
    Oct 2013
    Beans
    11

    Re: trouble installing amd drivers/catalyst

    running 5 monitors, 2 gpu's 1-5450 & 1-5870. Running Debian/wheezy

    root@D3B1AN:/home/ac1d# uname -r
    3.2.0-4-amd64

  8. #8
    Join Date
    Jun 2007
    Beans
    10,977

    Re: trouble installing amd drivers/catalyst

    fglrx 8.37.6 is ancient (and older than what wheezy offers in its repo). I'm not really sure what you're trying to do or what version you're trying to install...
    https://wiki.debian.org/ATIProprieta...7_.22Wheezy.22

  9. #9
    Join Date
    Oct 2013
    Beans
    11

    Re: trouble installing amd drivers/catalyst

    fglrx 8.37.6? How did you come up with that?

    I'm simply trying to get amd catalyst to work.

  10. #10
    Join Date
    Jul 2008
    Location
    The Left Coast of the USA
    Beans
    Hidden!
    Distro
    Kubuntu

    Re: trouble installing amd drivers/catalyst

    Moved to Other OS/Distro Support
    The Community Java Wiki * The Community ATI Driver Wiki * Find what you need in the Ubuntu Community wikis

    And seeing the terror on the faces of the people, QIII did speak to them, saying "Fear not the Terminal, for it is a road both swift and secure to the Great Mysteries of Linux without passing through the dangers of The Land of Ten Thousand Competing Desktop Environments."

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •